Main Page Widgets Namespaces Book

# Atk::Value Class Reference

Inheritance diagram for Atk::Value:

[legend]
List of all members.

## Detailed Description

The ATK interface implemented by valuators and components which display or select a value from a bounded range of values.

This should be implemented for components which either display a value from a bounded range, or which allow the user to specify a value from a bounded range, or both. For instance, most sliders and range controls, as well as dials, should have Atk::Object representations which implement Atk::Value on the component's behalf. Atk::Values may be read-only, in which case attempts to alter the value return false to indicate failure.

## Public Member Functions

void | get_current_value (Glib::ValueBase& value) const
| Gets the value of this object.
void | get_maximum_value (Glib::ValueBase& value) const
| Gets the maximum value of this object.
void | get_minimum_value (Glib::ValueBase& value) const
| Gets the minimum value of this object.
const AtkValue* | gobj () const
| Provides access to the underlying C GObject.
AtkValue* | gobj ()
| Provides access to the underlying C GObject.
bool | set_current_value (const Glib::ValueBase& value)
| Sets the value of this object.
virtual | ~Value ()

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Atk::Value> | wrap (AtkValue* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Atk::Value::~Value | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Atk::Value::add_interface | ( | GType | gtype_implementer | ) | `[static]`

void Atk::Value::get_current_value | ( | Glib::ValueBase& | value | ) | const

Gets the value of this object.

Parameters:

  | value | A G::Value representing the current accessible value.

void Atk::Value::get_maximum_value | ( | Glib::ValueBase& | value | ) | const

Gets the maximum value of this object.

Parameters:

  | value | A G::Value representing the maximum accessible value.

void Atk::Value::get_minimum_value | ( | Glib::ValueBase& | value | ) | const

Gets the minimum value of this object.

Parameters:

  | value | A G::Value representing the minimum accessible value.

const AtkValue* Atk::Value::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::NoOpObject.

AtkValue* Atk::Value::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::Interface. Reimplemented in Atk::NoOpObject.

bool Atk::Value::set_current_value | ( | const Glib::ValueBase& | value | ) |

Sets the value of this object.

Parameters:

  | value | A G::Value which is the desired new accessible value.

Returns:
  `true` if new value is successfully set, `false` otherwise.

## Friends And Related Function Documentation

Glib::RefPtr<Atk::Value> wrap | ( | AtkValue* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- value.h